<template>
    <div class="antialiased bg-gray-200 min-h-fit p-8 rounded-lg">
        <div class="flex space-x-28 min-h-[400px] divide-x divide-slate-50">
            <nav id="nav" class="w-96 pl-8 ">
                <ul class="flex space-x-14">
                    <li>
                        <button type="button" @click="select(0)" :aria-selected="selected === 0">
                            <el-card class="w-40 h-32 rounded-2xl mb-10  hover:bg-blue-300  hover:text-white relative">
                                <div class="text-center ">
                                    <div class="text-center">
                                        <fa-icon class="text-3xl text-[#025471]" :icon="`fa-building`" />
                                    </div>
                                    <p class="mt-4 font-mk text-[14px] font-bold">Brand Info</p>
                                </div>
                                <fa-icon v-if="selected === 0" class="text-xs text-[#16a34a] absolute right-2 bottom-2"
                                    :icon="`fa-solid fa-circle-check`" />
                            </el-card>
                        </button>
                    </li>
                    <li>
                        <button type="button" @click="select(1)" :aria-selected="selected === 1">
                            <el-card class="w-40 h-32 rounded-2xl mb-10  hover:bg-blue-300  hover:text-white relative">
                                <div class="text-center ">
                                    <div class="text-center">
                                        <fa-icon class="text-3xl text-[#e2b124]" :icon="`fa-users`" />
                                    </div>
                                    <p class="mt-4 font-mk text-[14px] font-bold">Customers</p>
                                </div>
                                <fa-icon v-if="selected === 1" class="text-xs text-[#16a34a] absolute right-2 bottom-2"
                                    :icon="`fa-solid fa-circle-check`" />
                            </el-card>
                        </button>
                    </li>
                </ul>
                <ul class="flex space-x-14">

                    <li>
                        <button type="button" @click="select(2)" :aria-selected="selected === 2">
                            <el-card class="w-40 h-32 rounded-2xl mb-10 hover:bg-blue-300  hover:text-white relative">
                                <div class="text-center ">
                                    <div class="text-center">
                                        <fa-icon class="text-3xl text-[#f13cbe]" :icon="`fa-hand-holding-dollar`" />
                                    </div>
                                    <p class="mt-4 font-mk text-[14px] font-bold">Loan</p>
                                </div>
                                <fa-icon v-if="selected === 2" class="text-xs text-[#16a34a] absolute right-2 bottom-2"
                                    :icon="`fa-solid fa-circle-check`" />
                            </el-card>
                        </button>
                    </li>
                    <li>
                        <button type="button" @click="select(3)" :aria-selected="selected === 3">
                            <el-card class="w-40 h-32 rounded-2xl mb-10 hover:bg-blue-300   hover:text-white relative">
                                <div class="text-center ">
                                    <div class="text-center">
                                        <fa-icon class="text-3xl text-[#16a34a]" :icon="`fa-list-alt`" />
                                    </div>
                                    <p class="mt-4 font-mk text-[14px] font-bold">Mortget Agreement</p>
                                </div>
                                <fa-icon v-if="selected === 3" class="text-xs text-[#16a34a] absolute right-2 bottom-2"
                                    :icon="`fa-solid fa-circle-check`" />
                            </el-card>
                        </button>
                    </li>
                </ul>
                <ul class="flex space-x-14">

                    <li>
                        <button type="button" @click="select(4)" :aria-selected="selected === 4">
                            <el-card class="w-40 h-32 rounded-2xl mb-10 hover:bg-blue-300  hover:text-white relative">
                                <div class="text-center ">
                                    <div class="text-center">
                                        <fa-icon class="text-3xl text-[#BFDB38]" :icon="`fa-file-contract`" />
                                    </div>
                                    <p class="mt-4 font-mk text-[14px] font-bold">Collateral</p>
                                </div>
                                <fa-icon v-if="selected === 4" class="text-xs text-[#16a34a] absolute right-2 bottom-2"
                                    :icon="`fa-solid fa-circle-check`" />
                            </el-card>
                        </button>
                    </li>

                    <li>
                        <button type="button" @click="select(5)" :aria-selected="selected === 5">
                            <el-card class="w-40 h-32 rounded-2xl mb-10 hover:bg-blue-300  hover:text-white relative">
                                <div class="text-center ">
                                    <div class="text-center">
                                        <fa-icon class="text-3xl text-[#FE7714]" :icon="`fa-calculator`" />
                                    </div>
                                    <p class="mt-4 font-mk text-[14px] font-bold">Disbursement</p>
                                </div>
                                <fa-icon v-if="selected === 5" class="text-xs text-[#16a34a] absolute right-2 bottom-2"
                                    :icon="`fa-solid fa-circle-check`" />
                            </el-card>
                        </button>
                    </li>
                </ul>
                <ul class="flex space-x-14">

                    <li>
                        <button type="button" @click="select(6)" :aria-selected="selected === 6">
                            <el-card class="w-40 h-32 rounded-2xl mb-10 hover:bg-blue-300  hover:text-white relative">
                                <div class="text-center ">
                                    <div class="text-center">
                                        <fa-icon class="text-3xl text-[#ed4242]" :icon="`fa-sack-dollar`" />
                                    </div>
                                    <p class="mt-4 font-mk text-[14px] font-bold">Collection</p>
                                </div>
                                <fa-icon v-if="selected === 6" class="text-xs text-[#16a34a] absolute right-2 bottom-2"
                                    :icon="`fa-solid fa-circle-check`" />
                            </el-card>
                        </button>
                    </li>
                    <li>
                        <button type="button" @click="select(7)" :aria-selected="selected === 7">
                            <el-card class="w-40 h-32 rounded-2xl mb-10 hover:bg-blue-300  hover:text-white relative">
                                <div class="text-center ">
                                    <div class="text-center">
                                        <fa-icon class="text-3xl text-[#594ce9]" :icon="`fa-store`" />
                                    </div>
                                    <p class="mt-4 font-mk text-[14px] font-bold">Payment</p>
                                </div>
                                <fa-icon v-if="selected === 7" class="text-xs text-[#16a34a] absolute right-2 bottom-2"
                                    :icon="`fa-solid fa-circle-check`" />
                            </el-card>
                        </button>
                    </li>
                </ul>
            </nav>
            <div class="w-full pl-14">
                <div v-if="selected == 0">
                    <div :gutter="20" class=" py-[20px]">
                        <el-col v-for="(data, i) in BrandInfoList" :key="i" :span="30">
                            <a :href="data?.link" target="_blank">
                                <div class="text-center ">
                                    <div class="text-center mb-1  flex  ">
                                        <button type="button"
                                            class="w-72 text-[15px] font-mk text-blue-600 bg-white bg-color hover:bg-blue-400 hover:text-white border-gray-200 focus:ring-4 focus:outline-none focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2 text-center inline-flex items-center mr-2 mb-2">
                                            <fa-icon class="text-lg mr-2 text-blue-600 icon" :icon="data?.icon" />
                                            {{ data?.name }}
                                        </button>
                                        <!-- <li class=" items-center space-x-3 list-none">
                                            <fa-icon class="text-sm text-gray-500" icon="fa-angles-right" />
                                            <span class="text-[15px] hover:underline font-mk text-blue-600 ">{{
                                                data?.name
                                            }}</span>
                                        </li> -->
                                    </div>
                                </div>
                            </a>
                        </el-col>
                    </div>
                </div>
                <div v-if="selected == 1">
                    <div  class=" py-[20px]">
                        <el-col v-for="(data, i) in CustomersList" :key="i" :span="30">
                           <!-- // <VReportLink :data="data" /> -->
                           <a :href="data?.link" target="_blank">
                            <div class="text-center ">
                                <div class="text-center mb-1  flex  ">
                                    <button type="button"
                                        class="w-72 text-[15px] font-mk text-blue-600 bg-white bg-color hover:bg-blue-400 hover:text-white border-gray-200 focus:ring-4 focus:outline-none focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2 text-center inline-flex items-center mr-2 mb-2">
                                        <fa-icon class="text-lg mr-2 text-blue-600 icon" :icon="data?.icon" />
                                        {{ data?.name }}
                                    </button>

                                </div>
                            </div>
                        </a>
                        </el-col>
                    </div>
                </div>
                <div v-if="selected == 2">
                    <div class=" py-[20px] ">
                        <el-col v-for="(data, i) in LoanList" :key="i" :span="30">
                            <!-- <VReportLink :data="data" /> -->

                            <a :href="data?.link" target="_blank">
                                <div class="text-center ">
                                    <div class="text-center mb-1  flex  ">
                                        <button type="button"
                                            class="w-72 text-[15px] font-mk text-blue-600 bg-white bg-color hover:bg-blue-400 hover:text-white border-gray-200 focus:ring-4 focus:outline-none focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2 text-center inline-flex items-center mr-2 mb-2">
                                            <fa-icon class="text-lg mr-2 text-blue-600 icon" :icon="data?.icon" />
                                            {{ data?.name }}
                                        </button>
    
                                    </div>
                                </div>
                            </a>
                        </el-col>
                    </div>
                </div>
                <div v-if="selected == 3">
                    <div class=" py-[20px] ">
                        <el-col v-for="(data, i) in MortgetAgreementList" :key="i" :span="30">
                            <!-- <VReportLink :data="data" /> -->
                            <a :href="data?.link" target="_blank">
                                <div class="text-center ">
                                    <div class="text-center mb-1  flex  ">
                                        <button type="button"
                                            class="w-72 text-[15px] font-mk text-blue-600 bg-white bg-color hover:bg-blue-400 hover:text-white border-gray-200 focus:ring-4 focus:outline-none focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2 text-center inline-flex items-center mr-2 mb-2">
                                            <fa-icon class="text-lg mr-2 text-blue-600 icon" :icon="data?.icon" />
                                            {{ data?.name }}
                                        </button>
    
                                    </div>
                                </div>
                            </a>
                        </el-col>
                    </div>
                </div>
                <div v-if="selected == 4">
                    <div class=" py-[20px] ">
                        <el-col v-for="(data, i) in CollateralList" :key="i" :span="30">
                            <!-- <VReportLink :data="data" /> -->
                            <a :href="data?.link" target="_blank">
                                <div class="text-center ">
                                    <div class="text-center mb-1  flex  ">
                                        <button type="button"
                                            class="w-72 text-[15px] font-mk text-blue-600 bg-white bg-color hover:bg-blue-400 hover:text-white border-gray-200 focus:ring-4 focus:outline-none focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2 text-center inline-flex items-center mr-2 mb-2">
                                            <fa-icon class="text-lg mr-2 text-blue-600 icon" :icon="data?.icon" />
                                            {{ data?.name }}
                                        </button>
    
                                    </div>
                                </div>
                            </a>
                        </el-col>
                    </div>
                </div>
                <div v-if="selected == 5">
                    <div class=" py-[20px] ">
                        <el-col v-for="(data, i) in DisbursementList" :key="i" :span="30">
                            <!-- <VReportLink :data="data" /> -->
                            <a :href="data?.link" target="_blank">
                                <div class="text-center ">
                                    <div class="text-center mb-1  flex  ">
                                        <button type="button"
                                            class="w-72 text-[15px] font-mk text-blue-600 bg-white bg-color hover:bg-blue-400 hover:text-white border-gray-200 focus:ring-4 focus:outline-none focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2 text-center inline-flex items-center mr-2 mb-2">
                                            <fa-icon class="text-lg mr-2 text-blue-600 icon" :icon="data?.icon" />
                                            {{ data?.name }}
                                        </button>
    
                                    </div>
                                </div>
                            </a>
                        </el-col>
                    </div>
                </div>
                <div v-if="selected == 5">
                    <div class=" py-[20px] ">
                        <el-col v-for="(data, i) in SettlePaymentMaterialsList" :key="i" :span="30">
                            <VReportLink :data="data" />
                        </el-col>
                    </div>
                </div>
                <div v-if="selected == 6">
                    <div class=" py-[20px] ">
                        <el-col v-for="(data, i) in SettlePaymentMaterialsList" :key="i" :span="30">
                            <VReportLink :data="data" />
                        </el-col>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script setup>
import { ref } from 'vue';
//import VReportLink from './VReportLink.vue';
const BrandInfoList = ref([
    {
        icon: "fa-building",
        name: "Brand Info",
        color: "#025471",
        //link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/ChartOfAccount`,
    },
])
const CustomersList = ref([

    {
        icon: "fa-address-card",
        name: "Customer Profile",
        color: "#e2b124",
       // link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/VendorsInfo`,
    },
    {
        icon: "fa-address-book",
        name: "Customer Evaluation",
        color: "#16a34a",
        //link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/VendorsItems`,
    },
  
])
const LoanList = ref([
    {
        icon: "fa-hand-holding-dollar",
        name: "Laon-App and Valuation",
       // link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/SupplierInfo`,
    },
    {
        icon: "fa-hand-holding-dollar",
        name: "Laon Agreement",
        //link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/SupplierItem`,
    },
   
])
const MortgetAgreementList = ref([
    {
        icon: "fa-list-alt",
        name: "Mortget Agreement",
       // link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/ReceivedDocument`,
    },
    
])



const CollateralList = ref([
    {
        icon: "fa-file-signature",
        name: "Receiving Collateral",
       // link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/SettlePaymentMaterials`,
    },
    {
        icon: "fa-lock",
        name: "Block Collateral",
       // link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/SettlePaymentMaterials`,
    },

])
const DisbursementList = ref([
    {
        icon: "fa-file-signature",
        name: "Disbursement Reguest",
       // link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/SettlePaymentMaterials`,
    },
    {
        icon: "fa-file-contract",
        name: "Disbursement Voucher",
       // link: `${process.env.VUE_APP_REPORT_URL || ""}Printing/SettlePaymentMaterials`,
    },

])

const selected = ref(0);

const select = (i) => {
    selected.value = i;
}
</script>